var NAVTREE =
[
  [ "Aria", "index.html", [
    [ "ARIA Developer's Reference Manual", "index.html", [
      [ "Contents", "index.html#toc", [
        [ "Additional tools in the ARIA toolbox:", "index.html#tocToolbox", null ],
        [ "Helpful information about C++ development with ARIA:", "index.html#tocDevHelp", null ],
        [ "Advanced Usage:", "index.html#tocAdv", null ]
      ] ],
      [ "Introduction", "index.html#intro", [
        [ "What is ARIA? How does it relate to other MobileRobots software?", "index.html#whouses", null ],
        [ "Java and Python", "index.html#javapython", null ],
        [ "Matlab", "index.html#matlab", null ]
      ] ],
      [ "License and Sharing", "index.html#licensing", null ],
      [ "The ARIA Package", "index.html#AriaPackage", [
        [ "ARIA/", "index.html#arpack", null ],
        [ "Other ARIA Files of Note", "index.html#arpackother", null ]
      ] ],
      [ "Documentation and Coding Convention", "index.html#codingConventions", null ],
      [ "ARIA-Robot Client-Server Relationship", "index.html#arCliServ", null ],
      [ "Robot Communication", "index.html#commClasses", [
        [ "Connecting with a Robot or the Simulator", "index.html#connectRobot", null ]
      ] ],
      [ "Specifying Details about Robot and Device Connections", "index.html#HardwareConfiguration", [
        [ "Robot Parameter Files", "index.html#RobotParameterFiles", null ],
        [ "Program Runtime Options", "index.html#RuntimeOptions", null ]
      ] ],
      [ "ArRobot", "index.html#robot", [
        [ "Client Commands and Server Information Packets", "index.html#commands", null ],
        [ "Packet Handlers", "index.html#packetHandlers", null ],
        [ "Command Packets", "index.html#CommandPackets", null ],
        [ "Robot Synchronization Cycle", "index.html#syncRobot", null ],
        [ "State Reflection", "index.html#stateReflection", null ],
        [ "Robot Callbacks", "index.html#callback", null ]
      ] ],
      [ "Controlling the robot with Commands and Actions", "index.html#ClientCommands", [
        [ "Direct Commands", "index.html#robotDirectCommands", null ],
        [ "Motion Command Functions", "index.html#robotMotionCommands", null ],
        [ "Actions", "index.html#actions", null ],
        [ "Action Desired", "index.html#actionDesired", null ],
        [ "The Action Resolver", "index.html#resolvers", null ],
        [ "Predefined Actions", "index.html#predefinedActions", null ],
        [ "Mixing Actions", "index.html#actionInteractions", null ],
        [ "Action Groups", "index.html#actionGroups", null ]
      ] ],
      [ "Range Devices", "index.html#rangeDevices", null ],
      [ "Functors", "index.html#functors", null ],
      [ "Keyboard and Joystick Input", "index.html#userInput", null ],
      [ "Threading", "index.html#threading", [
        [ "Thread Syncronizing Objects", "index.html#syncObject", null ],
        [ "Asynchronous Task Class", "index.html#asynctasks", null ]
      ] ],
      [ "Global Data", "index.html#aria", null ],
      [ "Device and Accessory Interface Classes", "index.html#devices", null ],
      [ "Utility Classes", "index.html#utility", null ],
      [ "ArConfig", "index.html#arconfig", null ],
      [ "Shared Info Groups", "index.html#arinfogroup", null ],
      [ "Maps", "index.html#maps", null ],
      [ "Sockets", "index.html#sockets", null ],
      [ "ArNetworking", "index.html#ArNetworking", null ],
      [ "Sound and Speech", "index.html#sound", null ],
      [ "Emacs", "index.html#emacs", null ],
      [ "Non-everyday use of C++", "index.html#noneverydayC", [
        [ "Standard Template Library", "index.html#stl", null ],
        [ "Default Arguments", "index.html#defaultArgs", null ],
        [ "Constructor Chaining", "index.html#constructorChaining", null ],
        [ "Chars and Strings, Win workaround", "index.html#charsAndStrings", null ],
        [ "AREXPORT", "index.html#arexport", null ],
        [ "Exceptions", "index.html#exceptions", null ]
      ] ],
      [ "Topics and Esoterica", "index.html#Advanced", [
        [ "Piecemeal Use of ARIA", "index.html#pieceMealUse", null ],
        [ "Connecting with a Robot or the Simulator the hard way", "index.html#hardConnectRobot", null ],
        [ "Opening the Connection", "index.html#openDevice", null ],
        [ "Robot Client-Server Connection", "index.html#devConnect", null ],
        [ "Connection Read, Write, Close and Timestamping", "index.html#connrw", null ]
      ] ]
    ] ],
    [ "Robot Parameter Files", "ParamFiles.html", [
      [ "Device Parameters", "ParamFiles.html#ParamFileDeviceParams", [
        [ "General Robot Parameters", "ParamFiles.html#ParamFileGeneralParams", null ],
        [ "Laser Rangefinding Devices", "ParamFiles.html#ParamFileLaserParams", null ],
        [ "GPS Devices", "ParamFiles.html#ParamFileGPSParams", null ],
        [ "Other Accessory Device Flags and Options", "ParamFiles.html#ParamFileOtherDeviceParams", null ]
      ] ]
    ] ],
    [ "Command Line Option Summary", "CommandLineOptions.html", [
      [ "ArRobotConnector", "CommandLineOptions.html#ArRobotConnector", null ],
      [ "ArLaserConnector", "CommandLineOptions.html#ArLaserConnector", null ],
      [ "ArPTZConnector", "CommandLineOptions.html#ArPTZConnector", null ],
      [ "ArGPSConnector", "CommandLineOptions.html#ArGPSConnector", null ],
      [ "ArCompassConnector", "CommandLineOptions.html#ArCompassConnector", null ],
      [ "ArSonarConnector", "CommandLineOptions.html#ArSonarConnector", null ]
    ] ],
    [ "Laser Scan Log File Format", "LaserLogFileFormat.html", null ],
    [ "Map File Format", "MapFileFormat.html", [
      [ "Defining Custom Map Objects", "MapFileFormat.html#MapCustomObjects", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Classes", null, [
      [ "Class List", "annotated.html", "annotated" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"ArMD5Calculator_8h.html",
"classArActionAvoidSide.html#ae0a67f37d57c2cf77fa9ae99095a6ead",
"classArActionGoto.html#a837a2f07dac56e996bca506e0b9bfe5c",
"classArActionLimiterForwards.html#ae92c1fd74011c3533c5472002286548a",
"classArActionTriangleDriveTo.html#ae015f564f4139225786bd607cc2ecfdd",
"classArArgumentParser.html#aebf5e0ef3e5f5a86bac1f8f2af1e7829",
"classArBatteryMTX.html#aa3d1f12f970619a4ec40d0746ea4cdaea0ea46b8fc649bc2dd87fb4d12e185934",
"classArConfig.html#a375fdb556d6edc32e0aa921e4f764906",
"classArConfigSection.html",
"classArConstRetFunctor4C.html#a846140714ad7bafe2492e33caa9d24ea",
"classArDataLogger.html#aa9238ca44f0eba3519328d29428e8465",
"classArFunctor4.html#a3680a11203db1055a41e3db4738e95f7",
"classArGlobalFunctor5.html#a0e1e968e7bf91a5345d87dc4d7c885de",
"classArIrrfDevice.html",
"classArLCDMTX.html#aeabeed325ce70a5f9ab19dd88f214e12",
"classArLaser.html#a0ed3ef59239dc9c6caf899cf5b0ae5cf",
"classArLaser.html#a9e60d66ef1a91878f6f1d41ec229fb79",
"classArLaserConnector_1_1LaserData.html#ab9502a6793f52bf77558dee62de560ff",
"classArLineSegment.html#a7395ef0e03cb1a9c24473b951a8b142a",
"classArMTXIO.html#a8882dbf9857d8dcd0f5dccce78764635",
"classArMapChangeDetails.html#a54576d8af45ab633e4383b0746c741a7",
"classArMapInterface.html#ade2aaba8c0a991964c2a623987a589fe",
"classArMapSimple.html#a3df6cf2e6afb0c6129ffb6210f598127",
"classArModeCamera.html#a09b8dd0da808cd9b0a71b311fdb7b05a",
"classArMutex.html#af5f771810efd04ed19b5381007e36ba6",
"classArP2Arm.html#ad78fa5c42e06c7f02b4ece45e14a15dc",
"classArPTZConnector.html#ad1af399181053da8c2996bcb0761a7ce",
"classArRangeDevice.html#a532ea3f49df7591a9ff537743352746e",
"classArRetFunctor4C.html#a2fb5ed4f2564d0c67fd7a9e8fcf48229",
"classArRobot.html#a1f42bf67e357145f7f60d7ff3f8226c7",
"classArRobot.html#a4716f07478a58c5c6a5c94353dd955ff",
"classArRobot.html#a7b0b54afa6213e28b6175704c0bc3e52",
"classArRobot.html#ab4c438ec0e41610997ad3970aee88462",
"classArRobot.html#ae2a87a26b81fd689240365b634740ef2",
"classArRobotConfigPacketReader.html#a58a46171ebb41e077c953b2ca09216d0",
"classArRobotPacketReceiver.html#aca786108e4a81824e1dbdbad9e783e01",
"classArRobotParams.html#ad8d3416b2754bc21e5d17cf2ddff4f3d",
"classArSerialConnection.html#a70d24c612f12fabc7c6fd9aff2de320d",
"classArSocket.html#a3df5953b862720adca9014038c06d99b",
"classArSonarMTX.html#a965b539670e0e16a2f06e1a7d8667941",
"classArSpeechSynth.html#a915b0cb3d5a5bc2de3e249b942d128d1",
"classArTCMCompassRobot.html#a83cc782c38b4b373c00ad938403df507",
"classArUrg__2__0.html#a61f6416d8f683064b70bbd952146d629",
"classArVCC4.html#a42d7670076c9ac2e462adacc1b552ab8",
"classArVersalogicIO.html#aaa823e82eb3a6eb8fbf08ea0a5b35b18",
"functions_func_r.html",
"group__DeviceClasses.html#ga67b061cc47685e4e25d7580512d84348",
"group__DeviceClasses.html#ggaac34efdbce1db348fb8a48586e62e2c8a092e2dde67b4ebf46adc9855b5b74bf3",
"group__OptionalClasses.html#gga6151dc37d9f0cd16117b1c3f80f39715a5699b9b8f84a724aaca07a1c83ac84e7",
"group__OptionalClasses.html#gga9a31f904a95bbc31d8b33c6637100cc4af8797589169fd668f723d3dabcb48c35"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';